com.independentsoft.exchange

## Class FreeBusyViewOptions

- java.lang.Object
- - com.independentsoft.exchange.FreeBusyViewOptions

-     public class FreeBusyViewOptions
      extends java.lang.Object

  Specifies the type of free/busy information returned in the response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeBusyViewOptions()` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(java.util.Date startTime, java.util.Date endTime)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(java.util.Date startTime, java.util.Date endTime, FreeBusyViewType requestedView)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(java.util.Date startTime, java.util.Date endTime, int mergedFreeBusyInterval)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(java.util.Date startTime, java.util.Date endTime, int mergedFreeBusyInterval, FreeBusyViewType requestedView)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(TimeDuration timeWindow)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(TimeDuration timeWindow, FreeBusyViewType requestedView)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(TimeDuration timeWindow, int mergedFreeBusyInterval)` Initializes a new instance of the FreeBusyViewOptions class.
    `FreeBusyViewOptions(TimeDuration timeWindow, int mergedFreeBusyInterval, FreeBusyViewType requestedView)` Initializes a new instance of the FreeBusyViewOptions class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMergedFreeBusyInterval()` Gets the time difference between two successive slots in the FreeBusyMerged view.
    `FreeBusyViewType` | `getRequestedView()` Gets the type of calendar information that a client requests.
    `TimeDuration` | `getTimeWindow()` Gets the time span queried for the user availability information.
    `void` | `setMergedFreeBusyInterval(int mergedFreeBusyInterval)` Sets the time difference between two successive slots in the FreeBusyMerged view.
    `void` | `setRequestedView(FreeBusyViewType requestedView)` Sets the type of calendar information that a client requests.
    `void` | `setTimeWindow(TimeDuration timeWindow)` Sets the time span queried for the user availability information.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions()

      Initializes a new instance of the FreeBusyViewOptions class.

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(TimeDuration timeWindow)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `timeWindow` - the time window

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(TimeDuration timeWindow,
                                     int mergedFreeBusyInterval)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `timeWindow` - the time window
        `mergedFreeBusyInterval` - the merged free busy interval

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(TimeDuration timeWindow,
                                     FreeBusyViewType requestedView)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `timeWindow` - the time window
        `requestedView` - the requested view

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(TimeDuration timeWindow,
                                     int mergedFreeBusyInterval,
                                     FreeBusyViewType requestedView)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `timeWindow` - the time window
        `mergedFreeBusyInterval` - the merged free busy interval
        `requestedView` - the requested view

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(java.util.Date startTime,
                                     java.util.Date endTime)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(java.util.Date startTime,
                                     java.util.Date endTime,
                                     int mergedFreeBusyInterval)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time
        `mergedFreeBusyInterval` - the merged free busy interval

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(java.util.Date startTime,
                                     java.util.Date endTime,
                                     FreeBusyViewType requestedView)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time
        `requestedView` - the requested view

    - #### FreeBusyViewOptions

          public FreeBusyViewOptions(java.util.Date startTime,
                                     java.util.Date endTime,
                                     int mergedFreeBusyInterval,
                                     FreeBusyViewType requestedView)

      Initializes a new instance of the FreeBusyViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time
        `mergedFreeBusyInterval` - the merged free busy interval
        `requestedView` - the requested view

  - ### Method Detail

    - #### getTimeWindow

          public TimeDuration getTimeWindow()

      Gets the time span queried for the user availability information.
      Returns:
        the time window

    - #### setTimeWindow

          public void setTimeWindow(TimeDuration timeWindow)

      Sets the time span queried for the user availability information.
      Parameters:
        `timeWindow` - the new time window

    - #### getMergedFreeBusyInterval

          public int getMergedFreeBusyInterval()

      Gets the time difference between two successive slots in the FreeBusyMerged view.
      Returns:
        the merged free busy interval

    - #### setMergedFreeBusyInterval

          public void setMergedFreeBusyInterval(int mergedFreeBusyInterval)

      Sets the time difference between two successive slots in the FreeBusyMerged view.
      Parameters:
        `mergedFreeBusyInterval` - the new merged free busy interval

    - #### getRequestedView

          public FreeBusyViewType getRequestedView()

      Gets the type of calendar information that a client requests.
      Returns:
        the requested view

    - #### setRequestedView

          public void setRequestedView(FreeBusyViewType requestedView)

      Sets the type of calendar information that a client requests.
      Parameters:
        `requestedView` - the new requested view